using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;

namespace FormulaEditor
{
    public class ArraySingleOperationAcceptor : IOperationAcceptor
    {

        private ArraySingleOperationType operationType;

        public ArraySingleOperationAcceptor(ArraySingleOperationType operationType)
        {
            this.operationType = operationType;
        }

        #region IOperationAcceptor Members

        public IObjectOperation Accept(object type)
        {
            if (!(type is ArrayReturnType))
            {
                return null;
            }
            object t = ArrayReturnType.GetBaseType(type);
            return new ArraySingleOperation(operationType, type);
        }

        #endregion
    }

}
